JapaneseTokenizer.Mode (Lucene 10.5.1 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja, class: JapaneseTokenizer, enum: Mode

Package org.apache.lucene.analysis.ja

# Enum Class JapaneseTokenizer.Mode

java.lang.Object
java.lang.Enum<JapaneseTokenizer.Mode>
org.apache.lucene.analysis.ja.JapaneseTokenizer.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<JapaneseTokenizer.Mode>`, `Constable`

Enclosing class:
  `JapaneseTokenizer`

public static enum JapaneseTokenizer.Mode extends Enum<JapaneseTokenizer.Mode>
Tokenization mode: this determines how the tokenizer handles compound and unknown words.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXTENDED`
  Extended mode outputs unigrams for unknown words.
  `NORMAL`
  Ordinary segmentation: no decomposition for compounds,
  `SEARCH`
  Segmentation geared towards search: this includes a decompounding process for long nouns, also including the full compound token as a synonym.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JapaneseTokenizer.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JapaneseTokenizer.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final JapaneseTokenizer.Mode NORMAL
    Ordinary segmentation: no decomposition for compounds,

  - ### SEARCH

    public static final JapaneseTokenizer.Mode SEARCH
    Segmentation geared towards search: this includes a decompounding process for long nouns, also including the full compound token as a synonym.

  - ### EXTENDED

    public static final JapaneseTokenizer.Mode EXTENDED
    Extended mode outputs unigrams for unknown words.
    WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Details

  - ### values

    public static JapaneseTokenizer.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JapaneseTokenizer.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null